extends Node

signal player_health_changed(new_value: int, max_value: int)
signal player_died
signal checkpoint_activated(position: Vector2)

var last_level_path: String = ""
var has_checkpoint: bool = false
var last_checkpoint_position: Vector2 = Vector2.ZERO
var last_death_facing_direction: float = 1.0
